SoftwareProduct (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.SoftwareProduct interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app
Interface SoftwareProduct

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, Version

    public interface SoftwareProduct

extends Version, LogicalElement, ConfigurationItem

Naming Rules:
  0="manufacturerName,productName,versionString" 1="manufacturerName,productId"
Persistable:
  true
Table Name:
  SOFTPROD
Top Level:
  true
Display Name:
  manufacturerName,productName,versionString

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.Version
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getManufacturerName()`
`java.lang.String` | `getProductId()`
`java.lang.String` | `getProductName()`
`java.lang.String` | `getType()`
`boolean` | `hasManufacturerName()`
`boolean` | `hasProductId()`
`boolean` | `hasProductName()`
`boolean` | `hasType()`
`void` | `setManufacturerName(java.lang.String manufacturer)`
`void` | `setProductId(java.lang.String id)`
`void` | `setProductName(java.lang.String name)`
`void` | `setType(java.lang.String type)`

Methods inherited from interface com.collation.platform.model.topology.core.Version
`getBuildLevel, getLevel, getMajorVersion, getModifier, getRelease, getVersionString, hasBuildLevel, hasLevel, hasMajorVersion, hasModifier, hasRelease, hasVersionString, setBuildLevel, setLevel, setMajorVersion, setModifier, setRelease, setVersionString`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getManufacturerName

    java.lang.String getManufacturerName()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setManufacturerName

    void setManufacturerName(java.lang.String manufacturer)

### hasManufacturerName

    boolean hasManufacturerName()

### getProductName

    java.lang.String getProductName()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProductName

    void setProductName(java.lang.String name)

### hasProductName

    boolean hasProductName()

### getProductId

    java.lang.String getProductId()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProductId

    void setProductId(java.lang.String id)

### hasProductId

    boolean hasProductId()

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setType

    void setType(java.lang.String type)

### hasType

    boolean hasType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD